io.etcd.jetcd.api

## Class SnapshotResponse.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<SnapshotResponse.Builder>
      - - io.etcd.jetcd.api.SnapshotResponse.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, SnapshotResponseOrBuilder, Cloneable

Enclosing class:
  SnapshotResponse

    public static final class SnapshotResponse.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<SnapshotResponse.Builder>
    implements SnapshotResponseOrBuilder

Protobuf type `etcdserverpb.SnapshotResponse`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`SnapshotResponse.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`SnapshotResponse` `build()`
`SnapshotResponse` `buildPartial()`
`SnapshotResponse.Builder` `clear()`
`SnapshotResponse.Builder` `clearBlob()` blob contains the next chunk of the snapshot in the snapshot stream.
`SnapshotResponse.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`SnapshotResponse.Builder` `clearHeader()` header has the current key-value store information.
`SnapshotResponse.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`SnapshotResponse.Builder` `clearRemainingBytes()` remaining_bytes is the number of blob bytes to be sent after this message
`SnapshotResponse.Builder` `clone()`
`com.google.protobuf.ByteString` `getBlob()` blob contains the next chunk of the snapshot in the snapshot stream.
`SnapshotResponse` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`ResponseHeader` `getHeader()` header has the current key-value store information.
`ResponseHeader.Builder` `getHeaderBuilder()` header has the current key-value store information.
`ResponseHeaderOrBuilder` `getHeaderOrBuilder()` header has the current key-value store information.
`long` `getRemainingBytes()` remaining_bytes is the number of blob bytes to be sent after this message
`boolean` `hasHeader()` header has the current key-value store information.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`SnapshotResponse.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`SnapshotResponse.Builder` `mergeFrom(com.google.protobuf.Message other)`
`SnapshotResponse.Builder` `mergeFrom(SnapshotResponse other)`
`SnapshotResponse.Builder` `mergeHeader(ResponseHeader value)` header has the current key-value store information.
`SnapshotResponse.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`SnapshotResponse.Builder` `setBlob(com.google.protobuf.ByteString value)` blob contains the next chunk of the snapshot in the snapshot stream.
`SnapshotResponse.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`SnapshotResponse.Builder` `setHeader(ResponseHeader.Builder builderForValue)` header has the current key-value store information.
`SnapshotResponse.Builder` `setHeader(ResponseHeader value)` header has the current key-value store information.
`SnapshotResponse.Builder` `setRemainingBytes(long value)` remaining_bytes is the number of blob bytes to be sent after this message
`SnapshotResponse.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`SnapshotResponse.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<SnapshotResponse.Builder>`

#### clear

    public SnapshotResponse.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<SnapshotResponse.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<SnapshotResponse.Builder>`

#### getDefaultInstanceForType

    public SnapshotResponse getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public SnapshotResponse build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public SnapshotResponse buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public SnapshotResponse.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<SnapshotResponse.Builder>`

#### setField

    public SnapshotResponse.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                             Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<SnapshotResponse.Builder>`

#### clearField

    public SnapshotResponse.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<SnapshotResponse.Builder>`

#### clearOneof

    public SnapshotResponse.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<SnapshotResponse.Builder>`

#### setRepeatedField

    public SnapshotResponse.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                     int index,
                                                     Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<SnapshotResponse.Builder>`

#### addRepeatedField

    public SnapshotResponse.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                     Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<SnapshotResponse.Builder>`

#### mergeFrom

    public SnapshotResponse.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<SnapshotResponse.Builder>`

#### mergeFrom

    public SnapshotResponse.Builder mergeFrom(SnapshotResponse other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<SnapshotResponse.Builder>`

#### mergeFrom

    public SnapshotResponse.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                       throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<SnapshotResponse.Builder>`
Throws:
  `IOException`

#### hasHeader

    public boolean hasHeader()

     header has the current key-value store information. The first header in the snapshot
     stream indicates the point in time of the snapshot.

`.etcdserverpb.ResponseHeader header = 1;`

Specified by:
  `hasHeader` in interface `SnapshotResponseOrBuilder`
Returns:
  Whether the header field is set.

#### getHeader

    public ResponseHeader getHeader()

     header has the current key-value store information. The first header in the snapshot
     stream indicates the point in time of the snapshot.

`.etcdserverpb.ResponseHeader header = 1;`

Specified by:
  `getHeader` in interface `SnapshotResponseOrBuilder`
Returns:
  The header.

#### setHeader

    public SnapshotResponse.Builder setHeader(ResponseHeader value)

     header has the current key-value store information. The first header in the snapshot
     stream indicates the point in time of the snapshot.

`.etcdserverpb.ResponseHeader header = 1;`

#### setHeader

    public SnapshotResponse.Builder setHeader(ResponseHeader.Builder builderForValue)

     header has the current key-value store information. The first header in the snapshot
     stream indicates the point in time of the snapshot.

`.etcdserverpb.ResponseHeader header = 1;`

#### mergeHeader

    public SnapshotResponse.Builder mergeHeader(ResponseHeader value)

     header has the current key-value store information. The first header in the snapshot
     stream indicates the point in time of the snapshot.

`.etcdserverpb.ResponseHeader header = 1;`

#### clearHeader

    public SnapshotResponse.Builder clearHeader()

     header has the current key-value store information. The first header in the snapshot
     stream indicates the point in time of the snapshot.

`.etcdserverpb.ResponseHeader header = 1;`

#### getHeaderBuilder

    public ResponseHeader.Builder getHeaderBuilder()

     header has the current key-value store information. The first header in the snapshot
     stream indicates the point in time of the snapshot.

`.etcdserverpb.ResponseHeader header = 1;`

#### getHeaderOrBuilder

    public ResponseHeaderOrBuilder getHeaderOrBuilder()

     header has the current key-value store information. The first header in the snapshot
     stream indicates the point in time of the snapshot.

`.etcdserverpb.ResponseHeader header = 1;`

Specified by:
  `getHeaderOrBuilder` in interface `SnapshotResponseOrBuilder`

#### getRemainingBytes

    public long getRemainingBytes()

     remaining_bytes is the number of blob bytes to be sent after this message

`uint64 remaining_bytes = 2;`

Specified by:
  `getRemainingBytes` in interface `SnapshotResponseOrBuilder`
Returns:
  The remainingBytes.

#### setRemainingBytes

    public SnapshotResponse.Builder setRemainingBytes(long value)

     remaining_bytes is the number of blob bytes to be sent after this message

`uint64 remaining_bytes = 2;`

Parameters:
  `value` - The remainingBytes to set.
Returns:
  This builder for chaining.

#### clearRemainingBytes

    public SnapshotResponse.Builder clearRemainingBytes()

     remaining_bytes is the number of blob bytes to be sent after this message

`uint64 remaining_bytes = 2;`

Returns:
  This builder for chaining.

#### getBlob

    public com.google.protobuf.ByteString getBlob()

     blob contains the next chunk of the snapshot in the snapshot stream.

`bytes blob = 3;`

Specified by:
  `getBlob` in interface `SnapshotResponseOrBuilder`
Returns:
  The blob.

#### setBlob

    public SnapshotResponse.Builder setBlob(com.google.protobuf.ByteString value)

     blob contains the next chunk of the snapshot in the snapshot stream.

`bytes blob = 3;`

Parameters:
  `value` - The blob to set.
Returns:
  This builder for chaining.

#### clearBlob

    public SnapshotResponse.Builder clearBlob()

     blob contains the next chunk of the snapshot in the snapshot stream.

`bytes blob = 3;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final SnapshotResponse.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<SnapshotResponse.Builder>`

#### mergeUnknownFields

    public final SnapshotResponse.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<SnapshotResponse.Builder>`